These are chat archives for spring-cloud/spring-cloud

21st
Dec 2015
checketts
@checketts
Dec 21 2015 17:28
@spencergibb Would it be feasible to release a patch version to Spring Cloud 1.0 that was compatible with Spring Boot 1.3? I'd be happy to submit it as a pull request.
There were some classes that were removed in the Spring Boot 1.3 release
Dave Syer
@dsyer
Dec 21 2015 17:34
That's not really our policy
We have to cal it 1.1 and drop support for 1.0
checketts
@checketts
Dec 21 2015 17:35
Bummer. It is unfortunate that there isn't an official release that is compatible with Spring Boot 1.3 yet.
I was trying to keep our apps on released version of all the spring libraries and as we were finding good reasons to use Spring 4.2 and Spring Boot 1.3, but Spring Cloud isn't ready yet
Dave Syer
@dsyer
Dec 21 2015 17:38
There's some pressure from other pivotal products to release something in January
Which bits do you need?
checketts
@checketts
Dec 21 2015 17:38
Currently we are using RefreshScope
With full ConfigClient coming probably in the next month
Dave Syer
@dsyer
Dec 21 2015 17:39
I'd be surprised if spring-cloud-context 1.0 didn't work with spring boot 1.3
Did you try it?
checketts
@checketts
Dec 21 2015 17:39
Actually I hadn't. I'll try it out
and let you know what I find
anyone that was eager enough for Spring Boot 1.3 at this point just decided to use the Brixton milestone release, so we didn't try anything midway
checketts
@checketts
Dec 21 2015 17:52
@dsyer Looks like we are using spring-cloud-config-client-1.0.0.RELEASE , is spring-cloud-context something different?
Dave Syer
@dsyer
Dec 21 2015 17:54
Yes. It's the thing with RefreshScope in it since 1.0.1
checketts
@checketts
Dec 21 2015 18:01
:smile: My mistake, looks like I can upgrade our services to Spring Boot 1.3 without problems with cloud-config-client (only our config server itself will need the milestone release)
Thanks for prompting me to try that out